#include "ordertxt.ih"

    // called by visit.cc

bool OrderTxt::inspectINL(
                ConstIterVectIter *hdrIter,
                ConstIterVectIter *ihIter,
                bool sawINL,
                ConstIterVectIter const &iter,
                ConstIterVectIter const &end) const
{
    if (sawINL)
        return true;        // OK to do multiple .i files
//        errIdx((*iter)->idx) << 
//                    "multiple inline specification files not supported\n";

    if (iter == *hdrIter + 1)
    {
        ++*hdrIter;             // this .i file is next to the hdr: OK
        return true;            // and pretend the hdr is here so 
    }

    if (iter == *ihIter + 1)
    {
        ++*ihIter;              // this .i file is next to the .ih file: OK
        return true;            // and pretend the hdr is here so 
    }

    errIdx((*iter)->idx) << 
                    "inline specification files must be next to "
                    "(internal) header files\n";

    return true;
}
